Bug 38012 - build package installing dependency check failure on RPM 3.0.4
build package installing dependency check failure on RPM 3.0.4
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-27 03:41 EDT by Hann Leu
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-05 11:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this the dependency check script in /usr/lib/rpm dir (1.59 KB, text/plain)
2001-04-27 03:59 EDT, Hann Leu
no flags Details

  None (edit)
Description Hann Leu 2001-04-27 03:41:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)


when I install:   rpm -ivv gskit4bas-4.0-3.145.s390.rpm
the error message show
error: failed dependencies:
        libgsk4cms.so(libgsk4cms.exp) is needed by gsk4bas-4.0-3.145
        libgsk4dbfl.so(libgsk4dbfl.exp) is needed by gsk4bas-4.0-3.145
        libgsk4drld.so(libgsk4drld.exp) is needed by gsk4bas-4.0-3.145
        libgsk4kjni.so(libgsk4kjni.exp) is needed by gsk4bas-4.0-3.145
        libgsk4km.so(libgsk4km.exp) is needed by gsk4bas-4.0-3.145
        libgsk4krsw.so(libgsk4krsw.exp) is needed by gsk4bas-4.0-3.145
        libgsk4p11.so(libgsk4p11.exp) is needed by gsk4bas-4.0-3.145
        libgsk4ssl.so(libgsk4ssl.so) is needed by gsk4bas-4.0-3.145
        libgsk4sys.so(libgsk4sys.exp) is needed by gsk4bas-4.0-3.145
        libgsk4valn.so(libgsk4valn.exp) is needed by gsk4bas-4.0-3.145 


Reproducible: Always
Steps to Reproduce:
1.rpm -ivv gskit4bas-4.0-3.145.s390.rpm
2.
3.
	

Actual Results:  D: expected size   : 4578843
D: opening database mode 0x42 in /var/lib/rpm
D: found 0 source and 1 binary packages
D:  requires: /bin/sh   satisfied by db file lists.
D:  requires: /bin/sh  satisfied by db file lists.
D:  requires: ld.so.1  satisfied by db provides.
D:  requires: libc.so.6  satisfied by db provides.
D:  requires: libc.so.6(GLIBC_2.0)  satisfied by db provides.
D:  requires: libc.so.6(GLIBC_2.1)  satisfied by db provides.
D:  requires: libdl.so.2  satisfied by db provides.
D:   YES    A libgsk4cms.so     B libgsk4cms.so
D:  requires: libgsk4cms.so  satisfied by added provide.
D:  requires: libgsk4cms.so(libgsk4cms.exp)  unsatisfied.
--More--error: failed dependencies:
        libgsk4cms.so(libgsk4cms.exp) is needed by gsk4bas-4.0-3.145
        libgsk4dbfl.so(libgsk4dbfl.exp) is needed by gsk4bas-4.0-3.145
        libgsk4drld.so(libgsk4drld.exp) is needed by gsk4bas-4.0-3.145
        libgsk4kjni.so(libgsk4kjni.exp) is needed by gsk4bas-4.0-3.145
        libgsk4km.so(libgsk4km.exp) is needed by gsk4bas-4.0-3.145
        libgsk4krsw.so(libgsk4krsw.exp) is needed by gsk4bas-4.0-3.145
        libgsk4p11.so(libgsk4p11.exp) is needed by gsk4bas-4.0-3.145
        libgsk4ssl.so(libgsk4ssl.so) is needed by gsk4bas-4.0-3.145
        libgsk4sys.so(libgsk4sys.exp) is needed by gsk4bas-4.0-3.145
        libgsk4valn.so(libgsk4valn.exp) is needed by gsk4bas-4.0-3.145   

Expected Results:  no any dependency error.

I am a programer, gskit4bas-xxx.rpm is our product. if the pacakge build 
in rpm 2.5.5OL in i386 linux system, did not have this kind of problem.
If the pacakge gskit4bas build under rpm 3.0.4 then it will not be able
to pass the dependency check.

Here is some of our check message.
	Here is the problem:  The Provides line doesn't have the (*.exp) 
stuff as it should.  See the colors below.  What we put into the RPM 
should be what we get out.

rpm -ba -vv --rcfile /usr/lib/rpm/rpmrc:./rpmrc.rpm3 gsk4bas.spec
Processing files: gsk4bas-.-.
D: File    0: 0040755 root.sys	 /usr/local/ibm/gsk4/bin
D: File    1: 0040755 root.sys	 /usr/local/ibm/gsk4/lib
D: File    2: 0040755 root.sys	 /usr/local/ibm/gsk4/inc
D: File    3: 0040755 root.sys	 /usr/local/ibm/gsk4/docs
D: File    4: 0040755 root.sys	 /usr/local/ibm/gsk4/classes
D: File    5: 0100755 root.sys	 /usr/local/ibm/gsk4/bin/gsk4ver
D: File    6: 0100755 root.sys	 /usr/local/ibm/gsk4/bin/gsk4ikm
D: File    7: 0100755 root.sys	 /usr/local/ibm/gsk4/bin/gsk4cmd
D: File    8: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4ssl.so
D: File    9: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4cms.so
D: File   10: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4sys.so
D: File   11: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4dbfl.so
D: File   12: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4drld.so
D: File   13: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4krsw.so
D: File   14: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4valn.so
D: File   15: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4km.so
D: File   16: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4kjni.so
D: File   17: 0100755 root.sys	 /usr/local/ibm/gsk4/lib/libgsk4p11.so
D: File   18: 0100755 root.sys
	 /usr/local/ibm/gsk4/classes/gsk4cls.jar
D: File   19: 0100755 root.sys
	 /usr/local/ibm/gsk4/classes/swingall.jar
D: File   20: 0100755 root.sys	 /usr/local/ibm/gsk4/classes/cfwk.zip
D: File   21: 0100755 root.sys	 /usr/local/ibm/gsk4/classes/cfwk.sec
D: File   22: 0100755 root.sys
	 /usr/local/ibm/gsk4/classes/ikminit.properties
D: File   23: 0100755 root.sys
	 /usr/local/ibm/gsk4/classes/ikeycmd.properties
D: File   24: 0100755 root.sys	 /usr/local/ibm/gsk4/copyright
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
Provides: libgsk4cms.so libgsk4dbfl.so libgsk4drld.so libgsk4kjni.so 
libgsk4km.so libgsk4krsw.so libgsk4p11.so libgsk4ssl.so libgsk4sys.so 
libgsk4valn.so
PreReq: /bin/sh
Requires: ld-linux.so.2 libc.so.6 libm.so.6 libstdc++-libc6.1-1.so.2 
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libgsk4cms.so(libgsk4cms.exp) 
libgsk4dbfl.so(libgsk4dbfl.exp) libgsk4drld.so(libgsk4drld.exp) 
libgsk4kjni.so(libgsk4kjni.exp) libgsk4km.so(libgsk4km.exp) libgsk4krsw.so
(libgsk4krsw.exp) libgsk4p11.so(libgsk4p11.exp) libgsk4ssl.so
(libgsk4ssl.so) libgsk4sys.so(libgsk4sys.exp) libgsk4valn.so
(libgsk4valn.exp) libm.so.6(GLIBC_2.0)
GZDIO:       1 writes,     3168 total bytes in 0.000 secs
D: Signature size: 68
D: Signature pad : 4
Wrote: mybuild/SRPMS/gsk4bas-.-..src.rpm
GZDIO:      29 writes,  8084948 total bytes in 44.630 secs
D: Signature size: 68
D: Signature pad : 4
Wrote: mybuild/RPMS/i386/gsk4bas-.-..i386.rpm
D: archive = dummy.gz, fs = mybuild/SOURCES/dummy.gz
D: archive = gsk4bas.spec, fs = /tmp/adam/gsk_pkg/linux/gsk4bas.spec
D: archive = usr/local/ibm/gsk4/bin, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/bin
D: archive = usr/local/ibm/gsk4/bin/gsk4cmd, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/bin/gsk4cmd
D: archive = usr/local/ibm/gsk4/bin/gsk4ikm, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/bin/gsk4ikm
D: archive = usr/local/ibm/gsk4/bin/gsk4ver, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/bin/gsk4ver
D: archive = usr/local/ibm/gsk4/classes, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/classes
D: archive = usr/local/ibm/gsk4/classes/cfwk.sec, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/classes/cfwk.sec
D: archive = usr/local/ibm/gsk4/classes/cfwk.zip, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/classes/cfwk.zip
D: archive = usr/local/ibm/gsk4/classes/gsk4cls.jar, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/classes/gsk4cls.j
ar
D: archive = usr/local/ibm/gsk4/classes/ikeycmd.properties, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/classes/ikeycmd.p
roperties
D: archive = usr/local/ibm/gsk4/classes/ikminit.properties, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/classes/ikminit.p
roperties
D: archive = usr/local/ibm/gsk4/classes/swingall.jar, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/classes/swingall.
jar
D: archive = usr/local/ibm/gsk4/copyright, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/copyright
D: archive = usr/local/ibm/gsk4/docs, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/docs
D: archive = usr/local/ibm/gsk4/inc, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/inc
D: archive = usr/local/ibm/gsk4/lib, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib
D: archive = usr/local/ibm/gsk4/lib/libgsk4cms.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4cms.so
D: archive = usr/local/ibm/gsk4/lib/libgsk4dbfl.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4dbfl.s
o
D: archive = usr/local/ibm/gsk4/lib/libgsk4drld.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4drld.s
o
D: archive = usr/local/ibm/gsk4/lib/libgsk4kjni.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4kjni.s
o
D: archive = usr/local/ibm/gsk4/lib/libgsk4km.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4km.so
D: archive = usr/local/ibm/gsk4/lib/libgsk4krsw.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4krsw.s
o
D: archive = usr/local/ibm/gsk4/lib/libgsk4p11.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4p11.so
D: archive = usr/local/ibm/gsk4/lib/libgsk4ssl.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4ssl.so
D: archive = usr/local/ibm/gsk4/lib/libgsk4sys.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4sys.so
D: archive = usr/local/ibm/gsk4/lib/libgsk4valn.so, fs 
= /tmp/adam/gsk_pkg/linux/source_files/usr/local/ibm/gsk4/lib/libgsk4valn.s
o
??
Comment 1 Hann Leu 2001-04-27 03:59:53 EDT
Created attachment 16605 [details]
this the dependency check script in /usr/lib/rpm dir
Comment 2 Jeff Johnson 2001-05-06 10:28:44 EDT
Florian, can you look at this please? I dunno s390 tool chains ...
Comment 3 Florian La Roche 2001-05-08 10:43:24 EDT
what s390 distribution is this a problem with? Have you tried the newest beta
version
as available from ftp.redhat.com?

Thanks,

Florian La Roche
Comment 4 Bill Nottingham 2001-06-05 11:51:08 EDT
changing arch to s/390 now that it's available. :)
Comment 5 Florian La Roche 2001-06-29 05:22:08 EDT
Closing bug as this seems to a problem with a rpm-verion that we don't
include with our port of RHL for s390.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.